import React, { FC, useState } from "react";
import { ControlsContainer, SigmaContainer } from "react-sigma-v2";
import { BsMenuAppFill } from "react-icons/bs";

import GraphData from "./GraphData";
import { ZoomButtons } from "./ZoomButtons";

import "react-sigma-v2/lib/react-sigma-v2.css";
import "./Root.css";
import NodeProgramImage from "sigma/rendering/webgl/programs/node.image";

const Root: FC = () => {
  const [showCaption, setShowCaption] = useState(false);

  return (
    <div id="app-root">
      <SigmaContainer
        graphOptions={{ type: "directed" }}
        initialSettings={{
          nodeProgramClasses: { image: NodeProgramImage },
          defaultNodeType: "image",
          defaultEdgeType: "arrow",
        }}
        className="react-sigma"
      >
        <GraphData />
        <ControlsContainer position="bottom-right">
          <button type="button" className="ico" onClick={() => setShowCaption(!showCaption)} title="Toggle menu">
            <BsMenuAppFill />
          </button>
          <ZoomButtons />
        </ControlsContainer>
      </SigmaContainer>
    </div>
  );
};

export default Root;
